Holger's Java API

## com.antelmann.db
Class DatabaseChangeListener.ClassListener

    java.lang.Object
      com.antelmann.db.DatabaseChangeListener.ClassListener

All Implemented Interfaces:
  DatabaseChangeListener

Enclosing interface:
  DatabaseChangeListener

    public static class DatabaseChangeListener.ClassListener

extends Object
implements DatabaseChangeListener

allows to easily register an ActionListener for changes on a particular DBEntry class

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.DatabaseChangeListener
`DatabaseChangeListener.ClassListener, DatabaseChangeListener.LoggerListener`

Constructor Summary
`DatabaseChangeListener.ClassListener(ActionListener al, Class<?>... classes)`

Method Summary
`void` `committedDatabaseChanges(Database<?> db, DBUpdateEvent... events)` called after successfully committing the given DBUpdateEvents on the database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatabaseChangeListener.ClassListener

    public DatabaseChangeListener.ClassListener(ActionListener al,
                                                Class<?>... classes)

Method Detail

### committedDatabaseChanges

    public void committedDatabaseChanges(Database<?> db,
                                         DBUpdateEvent... events)

  Description copied from interface: `DatabaseChangeListener`
  called after successfully committing the given DBUpdateEvents on the database. Implementations must not begin a new transaction directly!

  Specified by:
    `committedDatabaseChanges` in interface `DatabaseChangeListener`
  See Also:
    `TransactionListener.transactionCommitted(DBTransaction)`, `DBVersionedUpdateEvent`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads